angular.module('scr.mainmenu.filter', [])

.filter('tel', function () {
    console.log('scr.mainmenu.filter');
     return function (tel) {
        if (!tel) { return ''; }

        var value = tel.toString().trim().replace(/^\+/, '');

        if (value.match(/[^0-9]/)) {
            return tel;
        }

        var country, city, number;

        switch (value.length) {
            case 10: // +1PPP####### -> C (PPP) ###-####
                country = 6;
                city = value.slice(0, 3);
                number = value.slice(3);
                console.log(country, city, number);
                break;

            case 11: // +CPPP####### -> CCC (PP) ###-####
                country = value[0];
                city = value.slice(1, 4);
                number = value.slice(4);
                console.log(country, city, number);
                break;

            case 12: // +CCCPP####### -> CCC (PP) ###-####
                country = value.slice(0, 1);
                city = value.slice(1, 4);
                number = value.slice(4);
                console.log(country, city, number);
                break;

            default:
                return tel;
        }

        if (country == 6) {
            country = "";
        }

        number = number.slice(0, 3) + '-' + number.slice(3);
        console.log((country  + city + "-" + number).trim());
        return (country  + city + "-" + number).trim();
    };
});
